<?php
 // -- Fonction de chargement dynamique des classes ---
 function __autoload($NomClasse) {
    require $NomClasse . '_Classe.php';
 }
 // =================
 // === Programme ===
 // =================
 define("NON_TROUVE",-1)         ;
 $choix = NON_TROUVE             ;
 // Création d'une liste de personnes
 $ListePersonnes = new LPers()   ;
 // --- Menu ---
 while ($choix !=0) {
   $choix=NON_TROUVE;
   echo "-1- Saisie d'une liste de personnes".PHP_EOL         ;
   echo "-2- Affichage de toutes les personnes".PHP_EOL       ;
   echo "-3- Sauvegarde dans un fichier".PHP_EOL              ;
   echo "-4- Chargement d'un fichier".PHP_EOL                 ;
   echo "-5- Recherche de personnes, d'après le nom".PHP_EOL  ;
   echo "-6- Supprimer une personne".PHP_EOL                  ;
   echo "-7- Modifier une personne".PHP_EOL                   ;
   echo "-8- Recherche de personnes, d'après un champ".PHP_EOL;
   echo "-0- Quitter".PHP_EOL                                 ;
   echo "Choix (1,2,3,...) : ";
   fscanf(STDIN,"%d",$choix);
   switch($choix) {
     case 1 : $ListePersonnes->SaisieLPers()  ; break   ;
     case 2 : $ListePersonnes->AfficheLPers() ; break   ;
     case 3 : $ListePersonnes->SauveLPers()   ; break   ;
     case 4 : $ListePersonnes->ChargeLPers()  ; break   ;
     case 5 : echo "Nom de la personne : "              ;
              $NomRech=fgets(STDIN)                     ;
              $NomRech=trim($NomRech)                   ;
              $ListePersonnes->RechCritLPers(array('b',$NomRech))  ;
              $ListePersonnes->AfficheLRechPers()       ;
              break;
     case 6 : $TabCrit=$ListePersonnes->ChoixCritere()  ;
              $ListePersonnes->RechCritLPers($TabCrit)  ;
              $ListePersonnes->AfficheLRechPers()       ;
              $ListePersonnes->SupprimePers()           ;
              break;
     case 7 : $TabCrit=$ListePersonnes->ChoixCritere()  ;
              $ListePersonnes->RechCritLPers($TabCrit)  ;
              $ListePersonnes->AfficheLRechPers()       ;
              $ListePersonnes->ModifiePers()            ;
              break;
     case 8 : $TabCrit=$ListePersonnes->ChoixCritere()  ;
              $ListePersonnes->RechCritLPers($TabCrit)  ;
              $ListePersonnes->AfficheLRechPers()       ;
              break;
     case 0 : echo "Au revoir".PHP_EOL         ; break  ;
     default : echo "Choix incorrect !".PHP_EOL; break  ;        
   }
 } 
?>
